package com.jz.common.utils.web;

import com.jz.common.utils.StringUtils;

/**
 * Xml文件内容辅助工具类
 */
public class XmlUtils {

    /**
     * 获取xml属性值（多个取第一个）
     *
     * @param content  xml内容
     * @param property 属性名（标签）
     * @return 属性值
     */
    public static String getPropertyValue(Object content, String property) {
        if (null != content && StringUtils.hasLength(content.toString()) && StringUtils.isNotBlank(property)) {
            String tagBegin = "<" + property + ">";
            String tagEnd = "</" + property + ">";
            String ct = content.toString();
            int bi = ct.indexOf(tagBegin) + tagBegin.length();
            int ei = ct.indexOf(tagEnd);
            if (bi != -1 && ei != -1)
                return StringUtils.toTrimString(ct.substring(bi, ei));
        }
        return "";
    }

    public static void main(String[] args) {
        String content = "<target_insert_merge_overwrite>merge</target_insert_merge_overwrite>" +
                "    <target_db_connection>kudu_tmp</target_db_connection>\n" +
                "    <target_database>tmp</target_database>\n" +
                "    <target_table>impala::tmp.rzf_report_rzfyinliu\n" +
                "    <target_primary_columns></target_table></target_primary_columns>";
        System.out.println(content);
        String result = getPropertyValue(content, "target_table");
        System.out.println("result: " + result);
    }
}