package com.jz.dmp.modules.service.projconfig;

import java.util.List;
import javax.servlet.http.HttpServletRequest;
import com.jz.common.bean.BaseBeanResponse;
import com.jz.common.bean.BaseResponse;
import com.jz.common.bean.PageInfoResponse;
import com.jz.dmp.modules.controller.projconfig.bean.DmpComputEngineParamBatch;
import com.jz.dmp.modules.controller.projconfig.bean.DmpComputEngineParamDto;
import com.jz.dmp.modules.controller.projconfig.bean.DmpComputEngineParamRequest;
import com.jz.dmp.modules.model.DmpComputEngineParam;

/**
 * 计算引擎参数表服务接口
 * @author ybz
 *
 */
public interface DmpComputEngineParamService {

	/**条件分頁查询所有计算引擎参数表
	 * @param dmpComputEngineParamRequest
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public PageInfoResponse<DmpComputEngineParamDto> findListWithPage(DmpComputEngineParamRequest dmpComputEngineParamRequest, HttpServletRequest httpRequest)throws Exception;
	
	/**条件查询所有计算引擎参数表
	 * @param dmpComputEngineParamRequest
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpComputEngineParamDto> findList(DmpComputEngineParamRequest dmpComputEngineParamRequest, HttpServletRequest httpRequest)throws Exception;

	

	/**新增计算引擎参数表
	 * @param dmpComputEngineParam
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpComputEngineParam> add(DmpComputEngineParam dmpComputEngineParam, HttpServletRequest httpRequest)throws Exception;
	
	/**主键查询计算引擎参数表
	 * @param paramId
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpComputEngineParamDto> findById(Integer paramId, HttpServletRequest httpRequest)throws Exception;

	/**修改计算引擎参数表
	 * @param dmpComputEngineParam
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpComputEngineParam> edit(DmpComputEngineParam dmpComputEngineParam, HttpServletRequest httpRequest)throws Exception;
	
	/**新增或修改计算引擎参数表
	 * @param dmpComputEngineParam
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpComputEngineParam> addOrEdit(DmpComputEngineParam dmpComputEngineParam, HttpServletRequest httpRequest)throws Exception;


	/**主键删除计算引擎参数表
	 * @param paramId
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseResponse deleteById(Integer paramId, HttpServletRequest httpRequest)throws Exception;
	
	/**主键软删除计算引擎参数表
	 * @param paramId
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseResponse softDeleteById(Integer paramId, HttpServletRequest httpRequest)throws Exception;
	
	/**条件删除计算引擎参数表
	 * @param dmpComputEngineParamRequest
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseResponse delete(DmpComputEngineParamRequest dmpComputEngineParamRequest, HttpServletRequest httpRequest)throws Exception;
	
	/**条件软删除计算引擎参数表
	 * @param dmpComputEngineParamRequest
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseResponse softDelete(DmpComputEngineParamRequest dmpComputEngineParamRequest, HttpServletRequest httpRequest)throws Exception;

	/**批量新增计算引擎参数表
	 * @param dmpComputEngineParamVo
	 * @param httpRequest
	 * @return
	 * @throws Exception
	 */
	public BaseBeanResponse<DmpComputEngineParamBatch> addBatch(DmpComputEngineParamBatch dmpComputEngineParamBatch, HttpServletRequest httpRequest)throws Exception;

	/**  
	* @Title: deleteByIds  
	* @Description: TODO(根据主键批量删除)  
	* @param @param idList
	* @param @param httpRequest
	* @param @return
	* @param @throws Exception    参数  
	* @return BaseResponse    返回类型  
	* @throws  
	*/ 
	public BaseResponse deleteByIds(List<Integer> idList, HttpServletRequest httpRequest)throws Exception;

	/**  
	* @Title: softDeleteByIds  
	* @Description: TODO(根据主键批量软删除)  
	* @param @param idList
	* @param @param httpRequest
	* @param @return
	* @param @throws Exception    参数  
	* @return BaseResponse    返回类型  
	* @throws  
	*/ 
	public BaseResponse softDeleteByIds(List<Integer> idList, HttpServletRequest httpRequest)throws Exception;

}
