
<#if name??>
{	
	"name":"debezium-connector-${name}",
	"config":
</#if>
	{
		"connector.class":"io.debezium.connector.mysql.MySqlConnector",
		"database.hostname":"${dbHost!}",
		"tasks.max":"3",
		"database.port":"${dbPort!}",
		"database.user": "${dbUserName!}",
		"database.password": "${dbPassWord!}",
		"database.server.id": "${dataSourceId!}",
		"database.server.name": "${datasourceName!}_${sourceName!}",
		"database.whitelist": "${dbName!}",
		<#if ( blacklistTableCount?eval  <= whitelistTablesConut?eval ) >
		"table.blacklist":"${blacklistTables!}",
		<#else >
		"table.whitelist":"${connectorWhitelistTables!}",
		</#if>
		"database.history.kafka.topic": "${topic!}",
		<#if connectorSecurityFlag == "true">
		"database.history.producer.sasl.mechanism": "GSSAPI",
		"database.history.producer.security.protocol": "SASL_PLAINTEXT",
		"database.history.producer.sasl.kerberos.service.name": "kafka",
		"database.history.consumer.sasl.mechanism": "GSSAPI",
		"database.history.consumer.security.protocol": "SASL_PLAINTEXT",
		"database.history.consumer.sasl.kerberos.service.name": "kafka",
		"database.history.kafka.bootstrap.servers":"${kafkaBootstrapServers}",
		<#else>
		"database.history.kafka.bootstrap.servers":"${kafkaBootstrapServers?replace("SASL_PLAINTEXT://","")}",
		</#if>
		"transforms": "unwrap",
		"transforms.unwrap.type": "io.debezium.transforms.ExtractNewRecordState",
		"transforms.unwrap.drop.tombstones": "false",
		"decimal.handling.mode": "double",
		"include.schema.changes":"true"
	}
<#if name??>
}
</#if>